<script lang="ts">
  import NewsCard from '../cards/NewsCard.svelte';
  import Section from './Section.svelte';

  export let news: any = {};
</script>

<Section title="Новости" href="/news">
    <section class="grid 2xl:grid-cols-3 gap-8">
        {#each news?.data as {
          id,
          name: title,
          anons,
          createdAt: date,
          user: author,
          tagNews: tags,
          attachment
        }}
            <NewsCard
                {id}
                {title}
                {anons}
                {date}
                {tags}
                {author}
                {attachment}
            />
        {/each}
    </section>
</Section>